#include "libADC.h"

//------------------------------------------------------------------------------
void InitCPU() {

  // Disable all ADC
  AD1PCFG = 0xFFFF;
  TRISA = 0x0004;

  // Make RB0, RB1, RB2 inputs for the ADC
  TRISB = 0x0007;
}

//------------------------------------------------------------------------------
void SamplesReadyCallback(unsigned int ANumOfSamples, unsigned int *ASamples[16]) {
   int   i;
   char txt[200];

   for ( i = 0; i < ANumOfSamples; i++ ) {
     sprintf(txt, "Sample: %6d\r\n", ASamples[i]);
     UART1_Write_Text(txt);
   }
}

//------------------------------------------------------------------------------
void main() {

   InitCPU();

   UART1_Init(9600);

   UART1_Write_Text("Welcome to ADC demo in C\r\n");

   // Init the ADC
   UART2_Write_Text("Calling Init\r\n");
   ADC_Init(0x0003, 2, &SamplesReadyCallback);
   UART2_Write_Text("Enable ADC\r\n");
   ADC_Enable();
   UART2_Write_Text("Start sample\r\n");
   ADC_StartSample();

   UART2_Write_Text("Endless loop\r\n");

  while(1) {
  }
}